function w = do_train(y, x, options);
    % wrapper to the LIBLINEAR implementation of SVM training.

    model = train(y, x, options, 'col');

    w = model.w'; % n by nr_class

    if model.Label(1) == -1
        % fprintf(1, 'WARNING: Label(1) = -1\n');
        w = -w;
    end
end